import {
  select,
  csv,
  scaleLinear,
  max,
  scaleBand,
  scalePoint,
  axisLeft,
  axisBottom,
  format
} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render = data => {
  const xScale = scaleLinear()
  	.domain([0, max(data, d => d.population)])
  	.range([0, width]);
  
	svg.selectAll('rect').data(data)
  	.enter().append('rect')
  		.attr('width', d => xScale(d.population))
  		.attr('height', 300);
};

csv('data.csv').then(data => {
  data.forEach(d => {
    d.population = +d.population * 1000;
  });
  render(data);
});